import { EElementInputTypes } from "./digitalFormModel";

export let ElementsTypes = [
    {
        elementGroupType: 'Text Elements',
        elements: [
            {
                elemenType: EElementInputTypes.SINGLELINE,
                elementIcon: 'icon-singliLine',
                isShow: true
            },
            {
                elemenType: EElementInputTypes.TEXTAREA,
                elementIcon: 'icon-textarea',
                isShow: true
            },
            {
                elemenType: EElementInputTypes.NUMBER,
                elementIcon: 'icon-number',
                isShow: false
            },
        ]
    },
    {
        elementGroupType: 'Date Elements',
        elements: [
            {
                elemenType: EElementInputTypes.DATE,
                elementIcon: 'icon-date',
                isShow: true
            },
            {
                elemenType: EElementInputTypes.DATEANDTIME,
                elementIcon: 'icon-date-time',
                isShow: false
            },
        ]
    },
    {
        elementGroupType: 'Multi Elements',
        elements: [
            {
                elemenType: EElementInputTypes.DROPDOWN,
                elementIcon: 'icon-dropdown',
                isShow: true
            },
            {
                elemenType: EElementInputTypes.YESORNO,
                elementIcon: 'icon-toogle',
                isShow: false
            },
            {
                elemenType: EElementInputTypes.CHECKBOX,
                elementIcon: 'icon-checkbox',
                isShow: true
            },
            {
                elemenType: EElementInputTypes.RADIOBUTTON,
                elementIcon: 'icon-radiobutton',
                isShow: true
            },
        ]
    },
    {
        elementGroupType: 'Media Elements',
        elements: [
            {
                elemenType: EElementInputTypes.ATTACHMENTS,
                elementIcon: 'icon-attachment',
                isShow: false
            },
            {
                elemenType: EElementInputTypes.IMAGE,
                elementIcon: 'icon-imageupload',
                isShow: false
            }
        ]
    },
    {
        elementGroupType: 'Other Elements',
        elements: [
            {
                elemenType: EElementInputTypes.PARAGRAPH,
                elementIcon: 'icon-paragraph',
                isShow: false
            },
            {
                elemenType: EElementInputTypes.DIVIDER,
                elementIcon: 'icon-devider',
                isShow: false
            }
        ]
    },
]