import ConfirmationAction from 'components/Layout/ConfirmationAction';
import LayoutAlertMessage from 'components/Layout/LayoutAlertMessage';
import React, { Component } from 'react';
import { connect } from 'react-redux';
import { getAllFormsFormBuildersRequest, setResetFormBuilderData } from '../../store/actions';
import DigitalFormManager from './digitalFormManager';



class DigitalFormBuilderContainer extends Component<any> {
    componentDidMount() {
        // this.props.setResetFormBuilderData();
        // this.props.getAllFormsFormBuildersRequest();
        setResetFormBuilderData();
        getAllFormsFormBuildersRequest();
        // this.props.activateAuthLayout();
    }
    render() {
        return (
            <React.Fragment>
                <ConfirmationAction />
                <LayoutAlertMessage />
                {/* <DynamicFormBuilderParent /> */}
                <DigitalFormManager />
            </React.Fragment>
        )
    }
}
export default connect(null, { setResetFormBuilderData, getAllFormsFormBuildersRequest })(DigitalFormBuilderContainer);